### Enumeration

# Secret SearchFlags

unstable since: 1

#### Declaration

    flags Secret.SearchFlags

#### Description [src]

Various flags to be used with `secret_service_search()` and `secret_service_search_sync()`.

Available since: 1

#### Members

`SECRET_SEARCH_NONE`

  No flags.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1
`SECRET_SEARCH_ALL`

  All the items matching the search will be returned, instead of just the first one.

  - Value: `2`
  - Nickname: `all`
  - Available since: 1
`SECRET_SEARCH_UNLOCK`

  Unlock locked items while searching.

  - Value: `4`
  - Nickname: `unlock`
  - Available since: 1
`SECRET_SEARCH_LOAD_SECRETS`

  While searching load secrets for items that are not locked.

  - Value: `8`
  - Nickname: `load-secrets`
  - Available since: 1